
[code]

0x1=EU_ERR_FAIL                        
0x2=EU_ERR_INVALID_PARS                
0x3=EU_ERR_NOT_SUPPORT                 
0x4=EU_ERR_NO_MEMORY                    
0x5=EU_ERR_USER_CANCEL                 
0x6=EU_ERR_NOT_INIT                    
							 
0x7=EU_ERR_NO_MORE_FILE                    
0x8 =EU_ERR_FILE_IS_EXSITED                 
0x9 =EU_ERR_FILE_NOT_EXSIT                 
0x0a=EU_ERR_FILE_OPEN_FAIL                 
0x0b=EU_ERR_FILE_READ_FAIL                 
0x0c=EU_ERR_FILE_WRITE_FAIL                
0x0d=EU_ERR_FILE_SEEK_FAIL                 
0x0e=EU_ERR_FILE_NAME_CONFLICT             

0x0f=EU_ERR_SPACE_NOT_ENOUGH                 
             

0x11=EU_ERR_NET_TIME_OUT					
0x12#define	=EU_ERR_NO_MATCHED_STATIC_GROUP	
0x13=EU_ERR_NO_HARDWARE_INFO				
0x14=EU_ERR_FUNC_NOT_IN_MODULE				

0x15=EU_ERR_CREATE_EVENT_FAILED			    
0x16=EU_ERR_PIPE_NOT_FOUND					
0x17=EU_ERR_PIPE_TIME_OUT					
0x18=EU_ERR_WAIT_EVENT_ERR					
0x19=EU_ERR_CREATE_PROCESS_FAILED			
0x1a=EU_ERR_PIPE_CMDTYPE_ERROR				
0x1b=EU_ERR_PIPE_MSG_ERROR					
0x1c=EU_ERR_USER_OR_PASSWORD_ERROR			
0x1d=EU_ERR_PIPE_NOT_OPENED					
0x1e=EU_ERR_PIPE_IS_EXSIT					
0x1f=EU_ERR_CREATE_NAMED_PIPE_FAILD			
0x20=EU_ERR_INVALID_PIPE_NAME				
0x21=EU_ERR_BUFFER_TOO_SMALL				
0x22=EU_ERR_PIPE_SEND_ERR					

0x26=EU_ERR_NO_MATCHED_GROUP				
0x27=EU_ERR_CLIENT_NOT_AUTH					
0x28=EU_ERR_ERR_PATH_IN_USING				
0x29=EU_ERR_ERR_PATH_NOT_EXIST				

0x2d=EU_ERR_NET_FAIL_CONN				    


0x54=EU_ERR_INVALID_DATA					
0x55=EU_ERR_HAD_USER_LOGIN				    
0x56=EU_ERR_DATABASE_DATA_ERROR			    

// 程序权限不足，需要管理员权限
0x60=EU_ERR_APP_INSUFFICIENT_PRIVILEGES   
//访问共享目录失败
0x61=EU_ERR_ACCESS_SHARE                  
0x62=EU_ERR_NOT_SHARELOCALPATH           
0x63=EU_ERR_TASK_CANCELED                
0x64=EU_ERR_TASK_EXIST                   

0x65=EU_ERR_FOLDER_IS_EMPTY       		

0x66=EU_ERR_USER_DENY_ACCESS				
0x67=EU_ERR_RENAME_FAIL    			    
0x68=ER_ERR_INVALID_ADDRESS				
0x69=ER_ERR_NETIO_ERROR					
0x6a=EU_ERR_GROUP_IS_EXIST				
0x70=EU_ERR_DONNOT_FIND_AGENT			
0x71=EU_ERR_AGENT_STARTUP				
0x72=EU_ERR_INSUFFICIENT_RESOURCE		
0x73=EU_ERR_TB_LICENSE					
0x74=EU_ERR_TB_VERSION_TOO_LOW			
0x75=EU_ERR_NO_MORE_ITEM					
0x76=EU_ERR_GROUP_NOT_EXIST				
0x77=EU_ERR_IP_RANGE_ERROR				
0x78=EU_DEFAULT_GROUP_COULDNT_DELETE		
0x79=EU_ENCRYPT_OR_DECRYPT_FAILED		
0x7a=EU_ERR_NOT_USEABLE_LICENSE			
0x80=EU_ERR_CLIENT_OFFLINE				
0x81=EU_ERR_LICENSE_ERROR				
0x82=EU_ERR_GET_HARDCODE					
0x83=EU_ERR_LICENSE_ALREADY_USED			

//ftp error
0X100=EU_ERR_FTP_BASE                   
0x101=EU_ERR_FTP_USER_ERROR             
0x102=EU_ERR_FTP_PWD_ERROR              
0x103=EU_ERR_FTP_LOGIN_ERROR            

//common
0x201=EU_ERR_NET_CONN                   

//Task
0x300=EU_ERR_TASK_NOT_EXIST	    
0x301=EU_ERR_HOST_NOT_FOUND	    
0x302=EU_ERR_TASK_NOT_ONPC	    
0x303=EU_ERR_TASK_NAME_ID_EXIST   
